<?php 
// Welcome to 乐众系统&IDC财务管理系统
// Copyright (c)  http://www.lzsys.com/ All rights reserved.
// Business authorization email server@lzsys.com
// 欢迎使用乐众系统&IDC财务管理系统


// [应用配置文件]
return $plugins_config = array(
    'name'     => '支付宝当面付(官方)',                      // 应用名称
	

    'type'     => '支付接口',                                // 类型 参考 https://www.lzsys.com/news/118.html

    'describe' => '支付宝当面付官方接口- 支持PC扫码支付，手机H5支付', // 应用描述

    'author'   => '乐众-官方',                          // 作者

    'qq'       => '123456',                           // 作者QQ

    'url'      => 'http://www.lzsys.com',                  // 作者官网

    'shop'     => 'http://www.lzsys.com/buy.html', // 作者应用商店
	
    'plugin_version'  =>'1.0.1',                          // 版本信息
	
	'icon'     =>'alipayf2f.png',                             // 应用图标
	
	'install'  =>'install.php',                           // 应用安装文件  如 创建SQL表，创建目录等初始化功能
	
	'uninstall'=>'uninstall.php',                         // 应用卸载文件  如 删除表 删除目录等卸载功能
	
	'explain'  =>'http://www.lzsys.com/idc_file/help_alipayf2f.html',                  // 应用介绍，使用说明地址
	
	
	'panel'    =>false,                                    // 管理员独立管理面板 直接在本系统内管理 如渠道管理
	'panel_bottom'   =>"渠道配置",                              // 在线管理面板（管理员端）
	'panel_open'    =>false,                                  // 是否在新窗口打开管理面板  false为原窗口 弹窗打开  true=新窗口	

    //----------------------------api = 添加接口时所填参数
	
	'create_api'     => array(
        array(
            'type' => 'input',                      // 输入类型  input 文本框   select 组合框  pass=密码框   number 数字框  radio=单选框
            'text' => '渠道名称',                    // 参数名称
            'placeholder' => '如：支付宝2号接口 该名称会展示给客户 ',   // 输入说明
            'name' => 'name',                   // 参数名称    所有插件都必须有 name 参数
			'defaultvalue' => '',                   // 默认值 
            'rules' => array(                       // 是否必填 
                'required' => true,                 // true=必填  false=可空
                'message' => '请输入渠道名称',       // 必填若没有输入，则提示这段文字
                'trigger' => 'blur',                // 固定值
            ),

        ),

		array(
            'type' => 'input', 
            'text' => 'APPID', 
            'placeholder' => '请输入支付宝开放平台的应用ID', 
            'name' => 'appid',
			'defaultvalue' => '', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入APPID', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '应用私钥', 
            'placeholder' => '请输入开发者生成的应用私钥', 
            'name' => 'rsakey',
			'defaultvalue' => '', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入应用私钥', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '支付宝公钥', 
            'placeholder' => '请输入支付宝公钥', 
            'name' => 'alikey',
			'defaultvalue' => '', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入支付宝公钥', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '最低充值', 
            'placeholder' => '客户最低充值金额', 
            'name' => 'money',
			'defaultvalue' => '1', 
            'rules' => array(     
                'required' => true,  
                'message' => '客户最低充值金额', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '显示图标', 
            'placeholder' => '展示给客户看的图标', 
            'name' => 'icon',
			'defaultvalue' => '/plugin/pay/alipayf2f/alipay.png', 
            'rules' => array(     
                'required' => false,  
                'message' => '请输入显示图标', 
                'trigger' => 'blur', 
            ),

        ),
	),
	// 添加API参数结束

	// 配置文件结束	
	
    );
