<?php 
// Welcome to 乐众系统&IDC财务管理系统
// Copyright (c)  http://www.lzsys.com/ All rights reserved.
// Business authorization email server@lzsys.com
// 欢迎使用乐众系统&IDC财务管理系统
// [支付宝当面付应用 功能模块]
if ($addons_config['path'] <> "alipayf2f") {
    error();
} 

/**
 * -----接口通讯检测
 */
function alipayf2f_status_vhost($plugin) {
    $status = array('status' => false, 'msg' => "支付渠道不支持检测", 'data' => array());

    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 

/**
 * -----调起支付   PC版
 */
function alipayf2f_pc_pay($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
    
	
    $api_config['remark']['alikey'] = str_replace(" ", "+", $api_config['remark']['alikey']);#支付宝公钥 由于系统会自动转移加号成空格储存，所以这里替换回来
	
    $api_config['remark']['rsakey'] = str_replace(" ", "+", $api_config['remark']['rsakey']);#应用私钥 由于系统会自动转移加号成空格储存，所以这里替换回来
	

    $name = "客户号-" . $asset_data['user_data']['mobile'] . "充值金额-" . $asset_data['money'];
    if($asset_data['money']<$api_config['remark']['money']){exit("充值金额不能低于￥".$api_config['remark']['money']."元");}
    $is_defend = true;

    require("f2fpay/model/builder/AlipayTradePrecreateContentBuilder.php");
    require("f2fpay/AlipayTradeService.php");

    $qrPayRequestBuilder = new AlipayTradePrecreateContentBuilder();
    $qrPayRequestBuilder->setOutTradeNo($asset_data['orders']);
    $qrPayRequestBuilder->setTotalAmount($asset_data['money']);
    $qrPayRequestBuilder->setSubject($name);

    $qrPay = new AlipayTradeService($config);
    $qrPayResult = $qrPay->qrPay($qrPayRequestBuilder);

    $status = $qrPayResult->getTradeStatus();
    $response = $qrPayResult->getResponse();
    if ($status == 'SUCCESS') {
        $code_url = $response->qr_code;
    } elseif ($status == 'FAILED') {
        // var_dump($qrPayResult);
        $status = array('status' => false, 'msg' => '支付宝创建订单二维码失败！', 'data' => array());
        return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
    } else {
        // print_r($response);
        $status = array('status' => false, 'msg' => '系统异常，状态未知！', 'data' => array());
        return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
    } 

    $html_text = $code_url; // 二维码链接 
    $file = "plugin/pay/alipayf2f/qrcode.html"; //系统会引入此文件    
    // type = qrcode  表示返回支付链接   系统会将支付链接转换成二维码  客户扫码扫码即可
    // $html_text  这个是进行跳转支付的HTML代码 $html_text   调用成功后将代码放到  data数组下面 系统自动调用该代码
    if ($html_text) {
        $status = array('status' => true, 'msg' => "调起支付成功", 'data' => array("type" => "qrcode", "data" => $html_text, "file" => $file));
    } else {
        $status = array('status' => false, 'msg' => "调起支付失败", 'data' => array());
    } 

    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 

/**
 * -----调起支付   H5版
 */
function alipayf2f_h5_pay($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
    
    $api_config['remark']['alikey'] = str_replace(" ", "+", $api_config['remark']['alikey']);#支付宝公钥 由于系统会自动转移加号成空格储存，所以这里替换回来
	                                                                                         
    $api_config['remark']['rsakey'] = str_replace(" ", "+", $api_config['remark']['rsakey']);#应用私钥 由于系统会自动转移加号成空格储存，所以这里替换回来
	
    if($asset_data['money']<$api_config['remark']['money']){exit("充值金额不能低于￥".$api_config['remark']['money']."元");}
    $name = "客户号-" . $asset_data['user_data']['mobile'] . "充值金额-" . $asset_data['money'];

    $is_defend = true;

    require("f2fpay/model/builder/AlipayTradePrecreateContentBuilder.php");
    require("f2fpay/AlipayTradeService.php");

    $qrPayRequestBuilder = new AlipayTradePrecreateContentBuilder();
    $qrPayRequestBuilder->setOutTradeNo($asset_data['orders']);
    $qrPayRequestBuilder->setTotalAmount($asset_data['money']);
    $qrPayRequestBuilder->setSubject($name);

    $qrPay = new AlipayTradeService($config);
    $qrPayResult = $qrPay->qrPay($qrPayRequestBuilder);

    $status = $qrPayResult->getTradeStatus();
    $response = $qrPayResult->getResponse();
    if ($status == 'SUCCESS') {
        $code_url = $response->qr_code;
    } elseif ($status == 'FAILED') {
        // var_dump($qrPayResult);
        $status = array('status' => false, 'msg' => '支付宝创建订单二维码失败！', 'data' => array());
        return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
    } else {
        // print_r($response);
        $status = array('status' => false, 'msg' => '系统异常，状态未知！', 'data' => array());
        return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
    } 

    $html_text = $code_url; // 二维码链接 
    $file = "plugin/pay/alipayf2f/qrcode.html"; //系统会引入此文件    
    // type = qrcode  表示返回支付链接   系统会将支付链接转换成二维码  客户扫码扫码即可
    // $html_text  这个是进行跳转支付的HTML代码 $html_text   调用成功后将代码放到  data数组下面 系统自动调用该代码
    if ($html_text) {
        $status = array('status' => true, 'msg' => "调起支付成功", 'data' => array("type" => "qrcode", "data" => $html_text, "file" => $file));
    } else {
        $status = array('status' => false, 'msg' => "调起支付失败", 'data' => array());
    } 

    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 
/**
 * -----同步回调方法  只需要做签名验证 其他的过程系统智能完成
 */
function alipayf2f_return($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();

    $get_orders = $asset_data['get']['out_trade_no']; // 本系统订单号
    $get_order = $asset_data['get']['trade_no']; // 支付宝官方订单号
    $html_text = "充值成功"; // 返回说明
    /**
     * 通常只做异步回调，同步回调无需开发 所以这里直接返回成功数据 type=HTML 告诉系统 输出HTML代码
     */

    $status = array('status' => true, 'msg' => "验证成功", 'data' => array("type" => "HTML", "data" => $html_text));
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 
/**
 * -----异步回调方法  只需要做签名验证 其他的过程系统智能完成
 */
function alipayf2f_notify($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
    $api_config['remark']['alikey'] = str_replace(" ", "+", $api_config['remark']['alikey']);  #支付宝公钥 由于系统会自动转移加号成空格储存，所以这里替换回来
	                                                                                           
    $api_config['remark']['rsakey'] = str_replace(" ", "+", $api_config['remark']['rsakey']);  #应用私钥 由于系统会自动转移加号成空格储存，所以这里替换回来

    $get_orders = $asset_data['post']['out_trade_no']; // 本系统订单号
    $get_order = $asset_data['post']['trade_no']; // 支付宝官方订单号
    require("f2fpay/config.php");
    require("f2fpay/AlipayTradeService.php");
    $alipaySevice = new AlipayTradeService($config);
    $verify_result = $alipaySevice->check($_POST);

    if ($verify_result) { // 验证成功
        // 验证成功后
        // 需要把 本系统订单号写入 $orders_data['get_orders']  和 官方订单号写入 $orders_data['get_order'] 和 状态码 写入 $orders_data['code']
		
        // 余额充值 邮件短信通知等过程 系统会自动完成 这里只要做简单的签名验证即可
        $orders_data['get_orders'] = $get_orders;
        $orders_data['get_order'] = $get_order;

        $orders_data['code'] = "success"; // 返回成功状态码 根据接口方的要求提供 
		
        $status = array('status' => true, 'msg' => "验证成功", 'data' => array("type" => "SERVER", "data" => $orders_data));

        return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
    } else {
        $status = array('status' => false, 'msg' => "验证失败", 'data' => array());
        return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
    } 
} 
